import { ChangeDetectorRef, EventEmitter } from '@angular/core';
export declare class CkeditorControlComponent {
    private ref;
    label: string;
    disabled: boolean;
    required: boolean;
    set model(value: string);
    modelChange: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    cModel: string;
    config: {
        entities_latin: boolean;
    };
    constructor(ref: ChangeDetectorRef);
    onChange(value: any): void;
}
